TYPO3 CMS Usability Team - Feature # 1989

Status: Closed Priority: Must have
Author: Uschi Renziehausen Category:

Created: 2008-11-08 Assigned To:

Updated: 2010-10-20 Due date:

Tags:

Subject: Make the pagetree filter a real search (autosuggest?)

Description

The current functionality is not really useful and at least surprises editors when they see how it works.
Also it does not help finding pages when they are inside a collapsed part of the tree.

What we need to do is to make it a real search with support for title and uid, perhaps with autosuggest functionality.
Once the wanted page has been found the pagetree should scroll that page into view.

Prosit, Uschi

duplicate of #5311

Related issues:
related to TYPO3 CMS Usability Team - Feature # 5311: [team4] treeFilter impr... Closed 2009-11-10

History

#1 - 2009-11-08 05:47 - Felix Buenemann

I'll second that, probably just load the whole pagetree and hide the non-expanded region. Then this couild be easily expanded at search without page

reload.

#2 - 2009-11-14 17:01 - Sebastian Kurfuerst

+1 to that!

#3 - 2009-11-16 18:56 - Bodo Eichstadt

- Status changed from New to Accepted

#4 - 2009-11-16 19:04 - Bodo Eichstadt
- Category changed from Interface to 589

#5 - 2010-10-16 10:32 - Jens Hoffmann

- Status changed from Accepted to Closed

As this is a redundant reported Issue,

we keep the other and close this one.
